> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/support-and-history/archived/deprecated-uof-endpoints/market-description.md).

# Market description

```
This end point provides a description of all the available markets. There are 2 filters: language and if the mapping should be shown or not.
We provide here an example of the answer of the end point with mapping and without mapping.
As we can see the information provided in the first example is the same we have in the second one apart from the mapping element.

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <market_descriptions response_code="OK">
    <market id="282" name="Innings 1 to 5th top - {$competitor1} total" groups="all|score|4.5_innings">
      <outcomes>
        <outcome id="13" name="under {total}"/>
        <outcome id="12" name="over {total}"/>
      </outcomes>
      <specifiers>
        <specifier name="total" type="decimal"/>
      </specifiers>
      <mappings>
        <mapping product_id="1" product_ids="1|4" sport_id="sr:sport:3" market_id="8:232" sov_template="{total}">
          <mapping_outcome outcome_id="13" product_outcome_id="2528" product_outcome_name="under"/>
          <mapping_outcome outcome_id="12" product_outcome_id="2530" product_outcome_name="over"/>
        </mapping>
      </mappings>
    </market>



```

```
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <market_descriptions response_code="OK">
    <market id="282" name="Innings 1 to 5th top - {$competitor1} total" groups="all|score|4.5_innings">
      <outcomes>
        <outcome id="13" name="under {total}"/>
        <outcome id="12" name="over {total}"/>
      </outcomes>
      <specifiers>
        <specifier name="total" type="decimal"/>
      </specifiers>
    </market>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/support-and-history/archived/deprecated-uof-endpoints/market-description.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
